<!doctype html>
<html>
<head>
    <title>Tor 0.2.1.15-rc released | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Tor 0.2.1.15-rc released | Tor Project">
    <meta property="og:description" content="Tor 0.2.1.15-rc marks the second release candidate for the 0.2.1.x series. It fixes a major bug...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/tor-02115-rc-released/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Tor 0.2.1.15-rc released
      </h1>
    <p class="meta">by phobos | June 1, 2009</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Tor 0.2.1.15-rc marks the second release candidate for the 0.2.1.x<br />
series. It fixes a major bug on fast exit relays, as well as a variety<br />
of more minor bugs.</p>

<p>This is a release candidate! That means that we don't know of any<br />
remaining show-stopping bugs, and this will become the new stable if<br />
there are no problems. Please test it, and tell us about any problems<br />
that you find.</p>

<p><a href="https://www.torproject.org/download" rel="nofollow">https://www.torproject.org/download</a></p>

<p>Changes in version 0.2.1.15-rc - 2009-05-25</p>

<ul><strong>Major bugfixes (on 0.2.0.x):</strong>
<li>Fix a timing-dependent, allocator-dependent, DNS-related crash bug that would occur on some exit nodes when DNS failures and timeouts occurred in certain patterns. Fix for bug 957.</li>
</ul>

<ul><strong>Minor bugfixes (on 0.2.0.x):</strong>
<li>Actually return -1 in the error case for read_bandwidth_usage().<br />
      Harmless bug, since we currently don't care about the return value<br />
      anywhere. Bugfix on 0.2.0.9-alpha.</li>
<li>Provide a more useful log message if bug 977 (related to buffer<br />
      freelists) ever reappears, and do not crash right away.</li>
<li>Fix an assertion failure on 64-bit platforms when we allocated<br />
      memory right up to the end of a memarea, then realigned the memory<br />
      one step beyond the end. Fixes a possible cause of bug 930.</li>
<li>Protect the count of open sockets with a mutex, so we can't<br />
      corrupt it when two threads are closing or opening sockets at once.<br />
      Fix for bug 939. Bugfix on 0.2.0.1-alpha.</li>
<li>Don't allow a bridge to publish its router descriptor to a<br />
      non-bridge directory authority. Fixes part of bug 932.</li>
<li>When we change to or from being a bridge, reset our counts of<br />
      client usage by country. Fixes bug 932.</li>
<li>Fix a bug that made stream bandwidth get misreported to the<br />
      controller.</li>
<li>Stop using malloc_usable_size() to use more area than we had<br />
      actually allocated: it was safe, but made valgrind really unhappy.</li>
<li>Fix a memory leak when v3 directory authorities load their keys<br />
      and cert from disk. Bugfix on 0.2.0.1-alpha.</li>
</ul>

<ul><strong>Minor bugfixes (on 0.2.1.x):</strong>
<li>Fix use of freed memory when deciding to mark a non-addable<br />
      descriptor as never-downloadable. Bugfix on 0.2.1.9-alpha.</li>
</ul>

<p>The original release announcement can be found at <a href="http://archives.seul.org/or/talk/May-2009/msg00133.html" rel="nofollow">http://archives.seul.org/or/talk/May-2009/msg00133.html</a></p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-1458"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1458" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 01, 2009</p>
    </div>
    <a href="#comment-1458">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1458" class="permalink" rel="bookmark">seem stable and exit in more various exit node</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello,</p>
<p>I have intstalled this version from 2 days and it seem to be stable and exit on more various exit node...</p>
<p>the only error i obtain sometime with all version are : eventdnd: all namesserveur failed</p>
<p>but it never cut or make problem just i found this message in log vidalia...</p>
<p>Thanks for all great work...</p>
<p>i have a question about browser.. i use the plugin for firefox "jondofox" for firefox 3 and are the button to enable TOR, JOndo or custom proxy, after test on different site it never send headers and make no leaks data.. Are for anti script and all important plugins inclus..</p>
<p>what do you mean about the security with it and tor?</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1475"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1475" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 04, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1458" class="permalink" rel="bookmark">seem stable and exit in more various exit node</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1475">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1475" class="permalink" rel="bookmark">re: jondofox</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I don't think anyone has tested these two extensions with one another.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1459"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1459" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 02, 2009</p>
    </div>
    <a href="#comment-1459">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1459" class="permalink" rel="bookmark">CircuitBuildTimeout still to high</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>You still haven't fixed the problem with values below 30 for CircuitBuildTimeout that no longer have is working since version 0.2.1.8A.</p>
<p>About the command CircuitBuildTimeout, before version 0.2.1.9 in the torrc one has been able to change this to lower values than 30, thats no longer the case, I think this is bad for one's privacy and bad for the overall speed of Tor, example:</p>
<p>If 2 of the 3 nodes in the circuit build fast (less than 2 sec) and the 3rd takes up to 28 sec then it's obviously either<br />
1 overloaded, and it would be better if some people(that change this value in torrc) waited less than 30 sec to try to build another circuit)or<br />
2 even worse it's doing some bad thing like an timing attacks(and you do absolutely not want use it then.).</p>
<p>It would of course not be good for ones privacy to use values like 2, 3 or similar(if that leads to that only 50 nods is fast enough) but one should definitely be able to use values like 5-29, the choice should really be up to people them selfs, not be forced upon them to use these high values.</p>
<p>Why do you make changes to Tor that purposely decreases peoples security &amp; speed ?<br />
Are you going to implement this bad thing in the coming stable versions too ?</p>
<p>According to Figure 5 in the performance.pdf around 85-90% of the whole circuits(all 3 nodes) are created within 7 seconds, and around 70% within 5 seconds, so could you please allow people to choose values of 5-10 seconds for CircuitBuildTimeout in coming Tor versions.</p>
<p>People who needs higher security needs to lower this value to decrease the ability to illegally monitor them from organizations(like the NSA) that controls large parts the internet &amp; Tor's traffic.</p>
<p>Otherwise you would create an unnecessary security risk for people that either would have to accept higher risk for timing attacks and similar (using version 0.2.1.9A-0.2.1.15RC).<br />
or be forced to use an old(version 0.2.1.8A or earlier) insecure(?) version of Tor, both a bad thing of course.</p>
<p>Please allow CircuitBuildTimeout values of 5-29.<br />
This should be allowed at least until you fix this new approach in the coming 0.2.2.x or later versions.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1477"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1477" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 04, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1459" class="permalink" rel="bookmark">CircuitBuildTimeout still to high</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1477">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1477" class="permalink" rel="bookmark">re: CircuitBuildTimeout still to high</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This was released in 0.2.1.9-alpha, <a href="https://blog.torproject.org/blog/tor-0.2.1.9-alpha-released" rel="nofollow">https://blog.torproject.org/blog/tor-0.2.1.9-alpha-released</a>.  It's a bugfix and designed to better protect your anonymity. If you have more recent research that shows a lower circuitbuildtimeout improves anonymity, we're happy to review it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1495"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1495" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1495">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1495" class="permalink" rel="bookmark">Is Tor now working with NSA to break peoples annonymity ???</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If a couple of % of tor's users needs higher security against timing attacks and change there settings to 5-10 seconds instead of 120(earlier standard value), 60(standard value) or 30 lowest possible now with latest versions, it won't be a problem if:</p>
<p>According to Figure 5 in the performance.pdf around 85-90% of the whole circuits(all 3 nodes) are created within 7 seconds, and around 70% within 5 seconds, so could you please allow people to choose values of 5-10 seconds for CircuitBuildTimeout in coming Tor versions.</p>
<p>By taking away that possibility for the people who needs higher protection against timing attacks you give the bad guys who monitors &amp; modifies traffic an helping hand.</p>
<p>By having all circuits in an smaller timespan(for example 0-5 sec),  compared to 0-30 or even worse 0-60 or 0-120 sec you make it harder for the bad guys who does timing attacks(on Tor network) to be able to isolate a particular persons circuits from other persons.</p>
<p>It's sad to see that the Tor project by this change has actively started to help NSA and similar organization to break peoples anonymity.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1930"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1930" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 25, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1930">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1930" class="permalink" rel="bookmark">I have reverted to 0.2.1.8</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I have reverted to 0.2.1.8 specifically because it supports low value for circuit time-out.<br />
Interestingly I still get a good variety of nodes being used from all over the planet - so I am happy with a small time-out.</p>
<p>I wont be upgrading to the newer Tor version for this reason. If at some point 0.2.1.8 becomes a version that is extinct in terms of connecting to Tor then I will drop Tor altogether and stop hosting an exit node for others too.</p>
<p>I hate it when software designers make choices for us. We are grown up and adult to make those choices ourselves. </p>
<p>There is no point having fantastic anonymity if pages take 1 to 2 minutes to load - which they can on the newer Tor version with CircuitBuildTimeout set too low.</p>
<p>Also - for those who want more and more speed - i recommend on using the latest beta of Vidalia and Privoxy (on windows)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1479"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1479" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 04, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1459" class="permalink" rel="bookmark">CircuitBuildTimeout still to high</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1479">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1479" class="permalink" rel="bookmark">re: circuitbuildtimeout</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Here's a better answer:</p>
<p><a href="http://blog.torproject.org/blog/tor-02114rc-released#comment-1124" rel="nofollow">http://blog.torproject.org/blog/tor-02114rc-released#comment-1124</a></p>
<p>"You're right that in the older versions you could configure it to prefer the<br />
circuits that completed faster. Letting users set it too low is a bug: if<br />
everybody did that, the relays would get overwhelmed with circuit creation<br />
requests, making everything slower, and leading all the Tor clients to<br />
unwittingly launch DoS attacks on the network. We can't allow that.</p>
<p>The right answer is to have every Tor client automatically track how long it<br />
takes to build circuits, and then discard circuits that take more than a<br />
standard dev above the mean. For more details, check out Section 5.2 of the<br />
performance.pdf document I posted about here:<br />
<a href="https://blog.torproject.org/blog/why-tor-is-slow" rel="nofollow">https://blog.torproject.org/blog/why-tor-is-slow</a><br />
and also proposal 151:<br />
<a href="https://git.torproject.org/checkout/tor/master/doc/spec/proposals/151-pa" rel="nofollow">https://git.torproject.org/checkout/tor/master/doc/spec/proposals/151-pa</a>...</p>
<p>We hope to have this dynamic-timeout-calculation feature in the Tor 0.2.2.x<br />
series. In the mean time, let's all try not to make the Tor network fall over."</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1461"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1461" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 02, 2009</p>
    </div>
    <a href="#comment-1461">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1461" class="permalink" rel="bookmark">More secure way to use Tor.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Is this possible to do in windows XP ?</p>
<p><a href="http://img300.imageshack.us/img300/636/torprivoxysquid.png" rel="nofollow">http://img300.imageshack.us/img300/636/torprivoxysquid.png</a></p>
<p>What programs do i use instead of squid then ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1463"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1463" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 02, 2009</p>
    </div>
    <a href="#comment-1463">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1463" class="permalink" rel="bookmark">vidalia seem not accept all config in torrc</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello,</p>
<p>i have try to make my full DNS , like exclude node and rendez-vous but it seem to not take in vidalia and work not so....</p>
<p>What can we do to fix that? That's will be great when we can accept more port, and all torrec config accepted...</p>
<p>thanks in advance for the answer :)</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1472"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1472" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 03, 2009</p>
    </div>
    <a href="#comment-1472">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1472" class="permalink" rel="bookmark">after create a new config page , can the option forced..</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello,</p>
<p>I have found how force vidalia to accept the TOR config modified from us, i have only create a new right and file for the config torrc and change the path in vidalia to use mine...</p>
<p>now it accept the name full DNS and i have use the command: excludeexitnodes (ip to block) and excludenodes too and seem to block the bad exit and node...</p>
<p>The version 02.1.15 are really more performant and run well... </p>
<p>i think that's will be good to accept another buildtimecircuit under 30 ...</p>
<p>For the best security i block spammer, hacker, hijacked, faker, pedophile , troyan and only very bad thinks with blocklist... </p>
<p>i don't know when that's really help against attack on TOR but the performance are very good and my speed are almost always good speed for the web...</p>
<p>Thanks to all devloper and staff for all great work and viva our privacy ;)</p>
<p>my Best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1480"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1480" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 04, 2009</p>
    </div>
    <a href="#comment-1480">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1480" class="permalink" rel="bookmark">when i choose a country , i come or exit auto from it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hello,</p>
<p>I have block a few exit and node with ip and work perfect, i have try to add a country too but the problem are it will exit or use the country as it don't use...</p>
<p>I think country are only for choose exit or node you want but not too block it.. </p>
<p>it's that's so or have i do something wrong? </p>
<p>excludenodes 127.00.00,235.125.12.0,SE,DE    for exemple and without the country it block and with it use...</p>
<p>i work with the last geoip and this version tor 0.2.1.15-1 jaunty 64 bits</p>
<p>so i can confirm the country are reconize well by me , just not what i want ;)</p>
<p>maybe need ip or country ?  Are somebody with same problem?</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1490"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1490" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1480" class="permalink" rel="bookmark">when i choose a country , i come or exit auto from it</a> by <span>swisstorexit (not verified)</span></p>
    <a href="#comment-1490">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1490" class="permalink" rel="bookmark">re when i choose a country , i come or exit auto from it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>ExcludeNodes {de}, {se}</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1497"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1497" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1497">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1497" class="permalink" rel="bookmark">when i choose a country , i come or exit auto from it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks very much for your answer, i have try so but with big letter like {SE]  i will try next time like you siad...</p>
<p>At time i have only block ip and work very well , it's always excludes :)</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1512"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1512" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 09, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1512">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1512" class="permalink" rel="bookmark">re when i choose a country , i come or exit auto from it</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanks, with little letter work fine like you have told me, super...</p>
<p>have a good time :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-1482"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1482" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 05, 2009</p>
    </div>
    <a href="#comment-1482">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1482" class="permalink" rel="bookmark">Will DeAnonymizer break TOR? OMG </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Steve Topletz, a Xerobank guy, claims:</p>
<p>"It will quickly do an IP scan for network detection (instant) and can ban based on proxy detection, then it loads up about 25 proxy-breaking tests which take a half second to 3 seconds or so to complete each but can be run concurrently.</p>
<p>The point is not to be some evil tool but to demonstrate to everyone that they aren't as anonymous as they are being led to believe. This will change the game and put nearly all "anonymity" (privacy) services and networks to shame."</p>
<p>source:<br />
<a href="http://www.wilderssecurity.com/showpost.php?p=1480717&amp;postcount=24" rel="nofollow">http://www.wilderssecurity.com/showpost.php?p=1480717&amp;postcount=24</a></p>
<p>Is there a big trouble?<br />
What are these 35 tests?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1491"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1491" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1482" class="permalink" rel="bookmark">Will DeAnonymizer break TOR? OMG </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1491">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1491" class="permalink" rel="bookmark">re: Will DeAnonymizer break TOR? OMG </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm going to wait and see.  Every defcon/blackhat/usenixsec there is some presentation that claims to break Tor.  Most researchers talk to us in advance and offer suggestions to fix Tor, or explain how they broke Tor.  It's easy to break Tor in a lab environment, when you can control variables.  Attacking the OS is far easier than Tor itself. See <a href="http://decloak.net/" rel="nofollow">http://decloak.net/</a>.</p>
<p>We know nothing more than you about this supposed proxy-breaking tool.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1496"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1496" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1482" class="permalink" rel="bookmark">Will DeAnonymizer break TOR? OMG </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1496">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1496" class="permalink" rel="bookmark">SteveTX is lying in that thread</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In this thread you link to, SteveTX is lying here:</p>
<p>"  Tor nodes are not "allowed" to keep logs. If they find out you keep logs or do injecting, they put you in a "badnode" list. So presumably, if every link in your circuit (3) kept logs they could find out who you are.  "</p>
<p>Since the 1 jan 2009 all tor nodes in Germany have to log all traffic from ip, to ip,......<br />
If they don't, the police close them down &amp; bring criminal charges against them.<br />
And as far as i know all the German nodes are not marked as bad and banned.<br />
Is this a feature you will implement soon ???<br />
It sounds like this guy(SteveTX) doesn't have a clue what he's talking about.....</p>
<p>Then you have the USA &amp; Greatbritain that monitors all traffic going between euroupe &amp; north america, the sweedes saves all data that passes throu sweden and so on, so a lot of the data is both logged and saved for later examination.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1970"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1970" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">July 31, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1482" class="permalink" rel="bookmark">Will DeAnonymizer break TOR? OMG </a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1970">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1970" class="permalink" rel="bookmark">As author of that site, I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As author of that site, I can answer your question validity.</p>
<p>Deanonymizer is a on going project since new bugs/vulnerablities are found frequently. It attempts to make your browser use third-party apps that are already installed on your system.  Yes, I know about HD's decloak(.net), and his test also address the same issue of bad security compromising your privacy.  I have initially chosen not include java or flash during the initial launch of the site because it's been done over and over already, but I may add it later...we'll see.</p>
<p>If you follow good security practices, use things like Torbutton and Noscript, then you should be good.  Some people will not be affected, some will.  If you make a decent attempt to secure your browser, then you should be alright.  NEVER USE INTERNET EXPLORER.</p>
<p>The point of the site is to point out bad security implementations in various different privacy/anonymity solutions or products; this is not affecting just Tor.</p>
<p>So to answer the question of this subject, no, Tor is not broken, but your web browsers security might be.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1971"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1971" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Kyle (not verified)</span> said:</p>
      <p class="date-time">July 31, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1970" class="permalink" rel="bookmark">As author of that site, I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1971">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1971" class="permalink" rel="bookmark">haha, I just saw that I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>haha, I just saw that I posted that last post anonymously.<br />
Good times in vegas....</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1985"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1985" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">August 01, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1970" class="permalink" rel="bookmark">As author of that site, I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1985">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1985" class="permalink" rel="bookmark">yet another topletz failure</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>topletz is an attention whore, maybe people will stop paying attention to these press release attacks some day.</p>
<p><a href="http://www.wilderssecurity.com/showthread.php?t=249426" rel="nofollow">http://www.wilderssecurity.com/showthread.php?t=249426</a></p>
<p>people are finally starting to realize this crap is just crap</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-1483"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1483" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>pietro (not verified)</span> said:</p>
      <p class="date-time">June 07, 2009</p>
    </div>
    <a href="#comment-1483">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1483" class="permalink" rel="bookmark">tor function</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>7 june '09</p>
<p>hello, phobos, and from the outset, thank you</p>
<p>sorry if this post is in an incorrect spot, but</p>
<p>i recently installed tor and used some email accounts to do a rudimentary test.<br />
with my browser opened conventionally i went to an one email acct(a) and sent a message to a different acct(b). i then deleted all cookies/history when closing my browser (recently updated firefox.)</p>
<p>i then started vidalia, and connected to the tor network, reopened the browser and sent a second message from acct(a) to acct(b). I was surprised upon opening the full headers of the separate emails that they both contained the same originating ip.</p>
<p>when i view the message log it says, "we now have enough directory information to build circuits" and then "tor has successfully opened a circuit. looks like client functionality is working."</p>
<p>yet the email headers/path would seem to indicate otherwise.<br />
what have i done incorrectly?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1492"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1492" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1483" class="permalink" rel="bookmark">tor function</a> by <span>pietro (not verified)</span></p>
    <a href="#comment-1492">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1492" class="permalink" rel="bookmark">re: tor function</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If this was a mail client on your machine, tor doesn't clean content.  If this was a web mail account, was the IP address your IP address?  Or was it the exit node IP address?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1502"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1502" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>pietro (not verified)</span> said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1502">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1502" class="permalink" rel="bookmark">re: same</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanks for your reply.</p>
<p>it was my actual ip. i have since backtracked and done some more research on my own, sorry for being a neophyte.<br />
even though the control panel and the message log say connected, the checktpo url said no. i believe the problem is i may not have the network settings in either, or both, vidalia/tor and my mac (yes, i installed the mac bundle) vis-a-vis proxies/ports set/id'ed correctly.<br />
i lazily thought that privoxy as part of the bundle was going to automatically detect and prescribe these connections. embarrassingly i may not be enough of a systems admin sort a guy to accomplish this, yet  (i know its really just a dialogue box, but i don't understand the architectural references.) even though i remember elements of -ancient- ms-dos, and know some basic (X)HTML i am not facile enough in the terminal x environment, i.e., at the command line.<br />
plus i'm connecting mostly through wifi, i assume that involves some more proxy voodoo.  i got some learnin' to do...</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-1484"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1484" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 07, 2009</p>
    </div>
    <a href="#comment-1484">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1484" class="permalink" rel="bookmark">libevent 1.4.2 or 1.3e?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello,</p>
<p>i see are the livevent 1.4.2 with tor experimental 0.2.1.15 rc and in my reposery jaunty 64 bits i have the 1.3e automatic when i will install tor from it, to work with 1.4.2 i need intsall the package from the site and intsall the geoip after and so it work with the 1.4.2..</p>
<p>What's the better for me stay with 1.4.2 or return with the normal 1.3e from my reposery?</p>
<p>thanks in advance for your answers</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1493"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1493" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1484" class="permalink" rel="bookmark">libevent 1.4.2 or 1.3e?</a> by <span>swisstorexit (not verified)</span></p>
    <a href="#comment-1493">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1493" class="permalink" rel="bookmark">re: libevent 1.4.2 or 1.3e?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Either works fine.  libevent just released 1.4.11.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1498"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1498" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1498">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1498" class="permalink" rel="bookmark">libevent 1.4.2 or 1.3e?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanks very much, while i have not see a big deal and not many explain about change.. i see only it support other format...</p>
<p>i stay with the new so i will see when are bug... </p>
<p>to now are always the eventdns error : allnamesserveur failed..</p>
<p>but i see are many with same message .. excpet this log , i have never a error on linux jaunty 64 bits intel</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-1504"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1504" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 08, 2009</p>
    </div>
    <a href="#comment-1504">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1504" class="permalink" rel="bookmark">Can governments control Tor nodes</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Can governments control Tor nodes on net?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1515"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1515" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 10, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1504" class="permalink" rel="bookmark">Can governments control Tor nodes</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1515">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1515" class="permalink" rel="bookmark">re:  Can governments control Tor nodes</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor is designed so that anyone can run a Tor node.  This includes governments.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1518"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1518" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 10, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1518">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1518" class="permalink" rel="bookmark">Hi phobos.
I&#039;ve been one of</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi phobos.</p>
<p>I've been one of tor users for some time. I read a news before on the net. It said that governments or organizations in some contries control the underlying telcom or internet connection. Will tor nodes or networks be limited, controlled or blocked by those governments or organizations? Can tor immune to those interfaces?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1521"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1521" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 11, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1518" class="permalink" rel="bookmark">Hi phobos.
I&#039;ve been one of</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1521">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1521" class="permalink" rel="bookmark">re:</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I can't tell you what governments or organizations will do in the future.  I can tell you that to date, Tor works in every country.  Perhaps it does work in North Korea, but no one has reported back to us from there, so we don't know.  If Tor becomes a threat to the organization trying to control the Internet in a country, they will try to block Tor.  The arms race will continue where they try to block us, we respond, they try something else, we respond, etc.  Our goal is to have an arms race as slow as possible.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1527"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1527" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 11, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1527">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1527" class="permalink" rel="bookmark">re: Can governments control Tor nodes</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Yes, I get it. Tor works in Mainland China up to now.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div><a id="comment-1506"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1506" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 09, 2009</p>
    </div>
    <a href="#comment-1506">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1506" class="permalink" rel="bookmark">external NAT flash and java find by exploit</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Herllo,</p>
<p>i have tested with some exploit the system and in all case with accept java and flash, are never find DNS true ip of me , it's said always no info except external ip :)</p>
<p>my problem are in external NAT flash are found sometime my true ip but not always...</p>
<p>i will know what i can do to fix that?</p>
<p>With what i have read seem very good when the DNS are never my true ip and no info about external NAT...</p>
<p>Is that possible are while a torrent program work in external or are upnp option?</p>
<p>thanks for answer in advance..</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1516"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1516" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 10, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1506" class="permalink" rel="bookmark">external NAT flash and java find by exploit</a> by <span>swisstorexit (not verified)</span></p>
    <a href="#comment-1516">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1516" class="permalink" rel="bookmark">re: external NAT flash and java find by exploit</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I don't fully understand your question.  Flash and Java can be used to bypass your proxy settings in the browser.  In fact, neither flash nor java have to honor any proxy settings you configure in their settings.  Applets can simply ignore the proxy settings.</p>
<p>As for torrent programs, using Tor for a tracker is probably ok, but doing bulk data transfer over Tor simply overloads the network.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1525"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1525" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 11, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1525">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1525" class="permalink" rel="bookmark">re: external NAT flash and java find by exploit</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hello,</p>
<p>sorry for my english,</p>
<p>my system block all plugins in basic to have no problem with that but i have try the test found in this blog to see with all accepted what was found for info of me...</p>
<p>After many test only the flash from external NAT was bypass, all others programms or plugins don't was bypass and give info... so the security are really great ..</p>
<p>in all case my browser and system don't accept and use flash ect....</p>
<p>So i have ask when you think was from a extern programm, like bittorent or a device who have give the true ip in test...</p>
<p>now with your answer, i know are the proxy bypassed from the flash only ;)</p>
<p>For torrent , that's sure i will never use TOR for the peer connections, what i take are many linux but i like to be connected to the tracker anonyme too. Trackers work great ! need only use a program who can resolve the host in proxy , so i never have more a leak data or ip...</p>
<p>Thanks for your answer, i have mean maybe i have forget to config something.... </p>
<p>my best<br />
Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-1530"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1530" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 12, 2009</p>
    </div>
    <a href="#comment-1530">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1530" class="permalink" rel="bookmark">User tracking and cross-domain information leakage attacks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Does Torbutton protect us from this issue?<br />
<a href="http://www.trusteer.com/temporary-user-tracking-in-major-browsers" rel="nofollow">http://www.trusteer.com/temporary-user-tracking-in-major-browsers</a></p>
<p>If no, can you add this protection? Please</p>
<p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1531"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1531" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 12, 2009</p>
    </div>
    <a href="#comment-1531">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1531" class="permalink" rel="bookmark">User tracking</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>you can use noscript</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-1542"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1542" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 17, 2009</p>
    </div>
    <a href="#comment-1542">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1542" class="permalink" rel="bookmark">crash in TOR </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hello,</p>
<p>Yesterday the TOR crash and said was 120 sec difference in the time and that's impossible! I have control the time and all was right..</p>
<p>Are someone with the same case?  After restart that's good but i have one more time lost my positon in statut of exit node....</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1548"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1548" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 17, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1542" class="permalink" rel="bookmark">crash in TOR </a> by <span>swisstorexit (not verified)</span></p>
    <a href="#comment-1548">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1548" class="permalink" rel="bookmark">re: crash in Tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Btw, it's Tor, not TOR.  </p>
<p>If you have info or debug level logs, can you open a bug report at <a href="https://bugs.torproject.org" rel="nofollow">https://bugs.torproject.org</a>?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1550"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1550" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>swisstorexit (not verified)</span> said:</p>
      <p class="date-time">June 17, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to phobos</p>
    <a href="#comment-1550">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1550" class="permalink" rel="bookmark">crash in TOR</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello phobos,</p>
<p>i have not send in bugs, while was nothing write about that in logs....</p>
<p>only was on the vidalia logs when it was crashed at night... </p>
<p>So i have just say here when someone have same case ...</p>
<p>The last error sighaled on log are on 7 june....</p>
<p>sorry to cannot give more infos, have a good journey</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1558"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1558" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 18, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1542" class="permalink" rel="bookmark">crash in TOR </a> by <span>swisstorexit (not verified)</span></p>
    <a href="#comment-1558">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1558" class="permalink" rel="bookmark">At least 1 fast node use wrong time</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>At least one of the fastest Tor nodes are constantly using wrong times , maby this is done on purpose to take advantage of some wonerability.<br />
I would recommend that you block(in torrc) this node &amp; the other nodes from there nodefamily in case they do some nasty stuff to break your(&amp; others) privacy.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-1557"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1557" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 18, 2009</p>
    </div>
    <a href="#comment-1557">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1557" class="permalink" rel="bookmark">China government releasing internet censorware may break tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>China government is going to ask manufactories to preinstall an internet censorship software green dam on pcs in the whole contry. They may break tor and similar proxies.</p>
<p>China Holds Firm on Software Filter, U.S. Firms Say<br />
<a href="http://www.nytimes.com/2009/06/19/business/global/19censor.html?ref=global-home" rel="nofollow">http://www.nytimes.com/2009/06/19/business/global/19censor.html?ref=glo…</a><br />
Published: June 18, 2009</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1594"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1594" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 22, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1557" class="permalink" rel="bookmark">China government releasing internet censorware may break tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1594">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1594" class="permalink" rel="bookmark">Re: China government releasing internet censorware may break tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://www.reuters.com/article/rbssTechMediaTelecomNews/idUSPEK12189520090623" rel="nofollow">http://www.reuters.com/article/rbssTechMediaTelecomNews/idUSPEK12189520…</a></p>
<p>China sticks to Internet filter plan -Reuters,<br />
BEIJING, June 23 (Reuters) - China will not revoke its controversial plan requiring all new personal computers to be sold with "Green Dam" Internet filtering software from July 1..</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-1635"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1635" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 25, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-1594" class="permalink" rel="bookmark">Re: China government releasing internet censorware may break tor</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-1635">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1635" class="permalink" rel="bookmark">http://blog.torproject.org/comment/reply/134/1594#comment-1594</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://news.google.com/news/url?sa=t&amp;ct2=us%2F3_0_s_0_0_t&amp;usg=AFQjCNHFvW6aHzdPxU5Bm8duMa1AeHyCFg&amp;cid=1377925846&amp;ei=l0dDSuDoJpfzmQeU4v2kAQ&amp;rt=HOMEPAGE&amp;vm=STANDARD&amp;url=http%3A%2F%2Fwww.washingtonpost.com%2Fwp-dyn%2Fcontent%2Farticle%2F2009%2F06%2F25%2FAR2009062500727.html" rel="nofollow">http://news.google.com/news/url?sa=t&amp;ct2=us%2F3_0_s_0_0_t&amp;usg=AFQjCNHFv…</a></p>
<p>US urges China to scrap Internet filter plan<br />
Washington Post - Chris Buckley, Doug Palmer - ‎1 hour ago‎<br />
BEIJING (Reuters) - China on Thursday stepped up accusations that Google is spreading obscene content, a day after US officials urged Beijing to abandon plans for controversial filtering software on new computers.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-1575"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-1575" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>siwsstorexit (not verified)</span> said:</p>
      <p class="date-time">June 21, 2009</p>
    </div>
    <a href="#comment-1575">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-1575" class="permalink" rel="bookmark">TOR 2.2.26 rc  don&#039;t work more with libevent 1.4 in jaunty</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hello,</p>
<p>I have updated to 2.1.16 rc in jaunty 64 bits and at install, with package, source ect... are not possible for TOR to find the library for livevent 1.4!</p>
<p>So it accept only the libevent 1.3e on it...</p>
<p>Thanks to look to make a change in the linux reposery to have no more the 1.3e and update to 1.4 or , change the path in TOR to can reconize libevent 1.4e</p>
<p>Thanks in adavance</p>
<p>my best</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5672"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5672" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 14, 2010</p>
    </div>
    <a href="#comment-5672">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5672" class="permalink" rel="bookmark">hi i am new to tor , i would</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>hi i am new to tor , i would like to know if i can use specific country ips instead of random addresses?</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
